import analyses.deviations.models as app_models
from django.utils.translation import ugettext_lazy as _
from utils import tables
from django.core.urlresolvers import reverse

class DeviationLopaPathTable(tables.ModelTable):
    scenario = tables.Column(
            verbose_name = _('Scenario'),
            link = lambda x: x.data.scenario.get_absolute_url('evaluation'),
    )
    initiating = tables.Column(
            verbose_name = _('Initiating event'),
            link = lambda x: x.data.get_absolute_url(),
        )
    def get_row_classes(self, row, context):
        result = []
        if row.data.high:
            result.append('fat')
        return result

    class Meta:
        model = app_models.DeviationLopaPath
        columns = ('scenario', 'initiating', 'final', 'frequency', 'target')

class DependenciesTable(tables.ModelTable):
    number = tables.Column(
            verbose_name = ' ',
            data = lambda x: x.data.number,
            link = lambda x: x.data.get_absolute_url(),
        )

    class Meta:
        model = app_models.Dependency
        columns = ('number', 'element1', 'element2')