from analyses.analysisbase import tests as base_tests

from analyses.explosionprevention import models as app_models

from django.contrib.auth.models import User

class PermissionsMixIn(object):
    def setPermissions(self):
        from django.contrib.auth.models import User, Permission
        from django.contrib.contenttypes.models import ContentType
        # give the users permissions

        # authorisations for users:
        # 1 = authorised
        # 2 = unauthorised to edit
        # 3 = unauthorised to even display

        u = User.objects.get(pk=1)

        permissions = [
            ('display_versions','versioning','version'),
            ('display_published_versions','versioning','version'),
            ('edit_versions','versioning','version'),
            ('display_explosionpreventionscenarios','explosionprevention','explosionpreventionscenario'),
            ('edit_explosionpreventionscenarios','explosionprevention','explosionpreventionscenario'),
            ('display_installations','installations','section'),
            ('display_explosionpreventionsuggestionlists','explosionprevention','explosionpreventionsuggestionlist'),
            ('edit_explosionpreventionsuggestionlists','explosionprevention','explosionpreventionsuggestionlist'),
        ]
        for item in permissions:
            u.user_permissions.add(Permission.objects.get_by_natural_key(*item))

        u = User.objects.get(pk=2)
        permissions = [
            ('display_versions','versioning','version'),
            ('display_published_versions','versioning','version'),
            ('display_explosionpreventionscenarios','explosionprevention','explosionpreventionscenario'),
            ('display_installations','installations','section'),
            ('display_explosionpreventionsuggestionlists','explosionprevention','explosionpreventionsuggestionlist'),
        ]
        for item in permissions:
            u.user_permissions.add(Permission.objects.get_by_natural_key(*item))

class SettingsMixIn(object):
    sc_model = app_models.ExplosionPreventionScenario
    ev_model = app_models.ExplosionPreventionEvent
    pl_model = app_models.ExplosionPreventionProtectionLayer
    me_model = app_models.ExplosionPreventionMeasure
    plme_model = app_models.ExplosionPreventionPL_Measure
    ap_model = app_models.ExplosionPreventionAttentionPoint
    sl_model = app_models.ExplosionPreventionSuggestionlist
    apsl_model = app_models.ExplosionPreventionAPSuggestionlist
    tree_model = app_models.ExplosionPreventionTreeElement
    namespace = "explosionprevention"


class ExplosionPrevention_SuggestionlistTest(PermissionsMixIn, SettingsMixIn, base_tests.SuggestionlistTest):
    pass

class ExplosionPrevention_ScenarioTest(PermissionsMixIn, SettingsMixIn, base_tests.ScenarioTest):
    pass

class ExplosionPrevention_EventTest(PermissionsMixIn, SettingsMixIn, base_tests.EventTest):
    pass

class ExplosionPrevention_ProtectionLayerTest(PermissionsMixIn, SettingsMixIn, base_tests.ProtectionLayerTest):
    pass

class ExplosionPrevention_MeasureTest(PermissionsMixIn, SettingsMixIn, base_tests.MeasureTest):
    pass

class ExplosionPrevention_APSuggestionlistTest(PermissionsMixIn, SettingsMixIn, base_tests.APSuggestionlistTest):
    pass

class ExplosionPrevention_AttentionPointTest(PermissionsMixIn, SettingsMixIn, base_tests.AttentionPointTest):
    pass

class ExplosionPrevention_VersioningTest(PermissionsMixIn, SettingsMixIn, base_tests.VersioningTest):
    pass

class ExplosionPrevention_SearchTestCase(PermissionsMixIn, SettingsMixIn, base_tests.SearchTest):
    searchclasses = {
        'sl_search': app_models.ExplosionPrevention_SuggestionlistSearch,
        'sc_search': app_models.ExplosionPrevention_ScenarioSearch,
        'ev_search': app_models.ExplosionPrevention_EventSearch,
        'pl_search': app_models.ExplosionPrevention_ProtectionLayerSearch,
        'me_search': app_models.ExplosionPrevention_MeasureSearch,
        'apsl_search': app_models.ExplosionPrevention_APSuggestionlistSearch,
        'ap_search': app_models.ExplosionPrevention_AttentionPointSearch,
        }
