from django.template import Library

from django.utils.translation import ugettext_lazy as _

from comments.models import Comment
from comments.views import display_url_for_obj, add_url_for_obj

register = Library()

@register.inclusion_tag('comments/display_link.html', takes_context=True)
def comments_link(context, obj):
    """
    Renders a link to the objects comments list.

    """
    att_count = Comment.objects.comments_for_object(obj).count()
    if att_count == 1:
        name = Comment._meta.verbose_name
    else:
        name = Comment._meta.verbose_name_plural
    user = None
    if context.has_key('user'):
        user = context['user']
    if user and Comment.may_add(user, obj):
        add_url = add_url_for_obj(obj)
    else:
        add_url = u''

    return {
        'STATIC_URL': context['STATIC_URL'],
        'display_label': _('%(count)s %(name)s') % {'count': att_count, 'name': name},
        'display_url': display_url_for_obj(obj),
        'add_url': add_url,
    }

