from django.conf.urls.defaults import *
from comments import views
from utils.urlhelpers import decorated_patterns
from utils.permissions import permission_required

urlpatterns = decorated_patterns('', permission_required('comments.display_comments'),
    url(r'^$', views.comments(), name='comments'),
    url(r'^add-for/(?P<app_label>[\w\-]+)/(?P<module_name>[\w\-]+)/(?P<object_id>\d+)/$', views.add(), name="comments_add"),
    url(r'^display-for/(?P<app_label>[\w\-]+)/(?P<module_name>[\w\-]+)/(?P<object_id>\d+)/$', views.display_for(), name="comments_display_for"),
    url(r'^(?P<object_id>\d+)/edit/$', views.edit(), name='comments_comment_edit'),
    url(r'^(?P<object_id>\d+)/delete/$', views.delete(), name='comments_comment_delete'),
    url(r'^(?P<object_id>\d+)/pdf/$', views.report(), name='comments_comment_report'),
    url(r'^(?P<object_id>\d+)/$', views.display(), name='comments_comment_display'),
)
