from django.http import HttpResponse

def autocomplete(request, queryset, displayfield, usefield, default_limit=15):
    """
    View used to return items into the jquery autocomplete plugin
    """
    def iter_results(results):
        if results:
            for r in results:
                if isinstance(r, dict):
                    yield '%s|%s\n' % (r.get(displayfield), r.get(usefield))
                else:
                    yield '%s|%s\n' % (getattr(r.displayfield), getattr(r,usefield))

    q = request.GET.get('q')
    if not q:
        return HttpResponse(mimetype='text/plain')

    limit = request.GET.get('limit', default_limit)
    try:
        limit = int(limit)
    except ValueError:
        limit = default_limit
    filter = {'%s__icontains' % displayfield : q}
    data = queryset.filter(**filter)[:limit]
    return HttpResponse(iter_results(data), mimetype='text/plain')
